import sys
import virtualenv
from subprocess import Popen, PIPE, call


def version_control():
    pythons = virtualenv.get_installed_pythons()
    py3 = None
    for k, v in pythons.items():
        if k.startswith('3.') and not k.__contains__('-'):
            py3 = k.strip()
            break

    if py3 is None:
        sys.stdout.write('\nInstall Python 3 to be able to use this framework')
        exit()

    p = Popen('py -c "import sys; import os; sys.stdout.write(sys.executable)" ', stdout=PIPE)
    lines = p.stdout.readlines()
    real_executable = lines[0]
    print("version ", py3)
    print(real_executable)
