import requests, re
from bs4 import BeautifulSoup
linkovi = ['http://www.proxyserverlist24.top/']


class CrawlerType2:
    name = 'CrawlerType2'

    def crawler(self, link):
        ses = requests.session()
        ses.headers['User-Agent'] = "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:71.0) Gecko/20100101 Firefox/71.0"

        # dohvati početnu stranicu
        main_url = ses.get(link)
        soup = BeautifulSoup(main_url.content, "lxml")

        # dohvati naslove
        proxies = []
        titles = soup.find_all('h3', {'class': 'post-title entry-title'})
        for title in titles:
            link = title.find('a', {'href': True})
            if link is not None:
                link = link['href']
                print(link)
                r = ses.get(link)
                if r.status_code == 200:
                    soup = BeautifulSoup(r.content, "lxml")
                    data = re.findall(".*?(\d+\.\d+.\d+\.\d+).*?:(\d+).*?", str(soup))
                    if data:
                        proxies.append(data)
                    print(data)


api = CrawlerType2()
for link in linkovi:
    api.crawler(link)