from time import sleep
from core_framework.crawlers import CrawlerBase

base = 'testing'
from sqlalchemy.pool import NullPool

class PostgreSQL(CrawlerBase):
    def __init__(self):
        CrawlerBase.__init__(self, base)

    def make_conn(self):
        self.connect(1, connect_args={"application_name": "testing1"}, poolclass=NullPool)
        sleep(10)
        print("dissconect")
        self.disconnect()

        self.connect(1, connect_args={"application_name": "testing2"}, poolclass=NullPool)
        sleep(10)
        print("dissconect2")
        self.disconnect()
        sleep(30)

if __name__ == '__main__':
    api = PostgreSQL()
    api.make_conn()
