
import pandas as pd

history_dates_data = {0: {'registry_number': '06207278', 'blockade_to': pd.to_datetime('2017-01-24 00:00:00', yearfirst=True), 'sha': 'f45f95f3dabe6dd2cc1deff83a1842505e4d00743ac634060f6024598ac05c54', 'blockade_from': pd.to_datetime('2017-01-23 00:00:00', yearfirst=True), 'blockade_id': None},
                      1: {'registry_number': '06207278', 'blockade_to': pd.to_datetime('2017-01-25 00:00:00', yearfirst=True), 'sha': 'f45f95f3dabe6dd2cc1deff83a1842505e4d00743ac634060f6024598ac05c55', 'blockade_from': pd.to_datetime('2017-01-24 00:00:00', yearfirst=True), 'blockade_id': None}
                        }

df = pd.DataFrame.from_dict(history_dates_data, orient='index')
df = df.where(df['blockade_to'] == df['blockade_to'].max())
df.dropna(how='all', inplace=True)
last_sha = df['sha'].iloc[0]
print(df)
print(last_sha)
