import os
import sys
import getpass


def set_storage():
    storage_file = "storage.txt"
    crawlers_sm_config_dir = r'C:\Users\{}\Documents\csm_conf'.format(getpass.getuser())
    storage_path = os.path.join(crawlers_sm_config_dir, storage_file)
    storage_data = 'unknown'

    if os.path.exists(crawlers_sm_config_dir) is False:
        os.mkdir(crawlers_sm_config_dir)
    if os.path.exists(storage_path) is False:
        sys.stdout.write("Specify default location for storage:")
        if sys.version_info.major < 3:
            storage_path_input = raw_input()
        else:
            storage_path_input = input()

        with open(storage_path, 'w') as f:
            f.write(storage_path_input)

    if os.path.exists(storage_path) is True:
        with open(os.path.join(crawlers_sm_config_dir, storage_file), 'r') as f:
            storage_data = f.read().strip()
    # sys.stdout.write('storage path: {}, can be change manualy on location {}'.format(storage_data, storage_path))
    return storage_data


if __name__ == '__main__':
    set_storage()