from abc import ABC
from core_framework.crawlers import CrawlerBase
from datetime import datetime
from time import sleep

base = 'fin_report'


class FinReport(CrawlerBase, ABC):
    def __init__(self):
        CrawlerBase.__init__(self, base)
        self.connect(1)
        self.blocked_radar = {}


    def financijski_on(self):
        'select * from [RS_Centrala].[dbo].[RS_FIN_REGISTAR] where obradjeno is null and datum is null'

        self.select('RS_FIN_REGISTAR', filters={'obradjeno': None, 'datum': None})

        "update [RS_Centrala].[dbo].[RS_FIN_REGISTAR] set datum  = '2019-11-18' where obradjeno is null and datum is null"

        err_cnt = 0
        while True:
            proc_status = self.proc('ivan_proc1')
            # update_status = self.update('RS_FIN_REGISTAR', {'obradjeno': None, 'datum': None}, {'datum': datetime.now()}, freeze=True)
            if proc_status != 200:
                err_cnt += 1
                sleep(60)
            if err_cnt > 10:
                return
            if proc_status == 200:
                break






if __name__ == '__main__':
    api = FinReport()