from core_framework.db_engine import DbEngine


class DbAprConnection(DbEngine):
    def __init__(self):
        DbEngine.primary_key = 'id'
        DbEngine.__init__(self)
        self.connect(2)

class DbPstgrConnection(DbEngine):
    def __init__(self):
        DbEngine.primary_key = 'id'
        DbEngine.__init__(self)
        self.connect(1)


apr_conn = DbAprConnection()
pst_conn = DbPstgrConnection()


data = pst_conn.select('blockade_bans', filters={'archive':True}, schema='nbs_pn')

for row in data:
    print(row)
    sha = row.get('sha')
    close_date = row.get('archive')
    update_status = apr_conn.update('NBS_PN_ZABRANE', {'sha': sha}, {'DAT_PRO': close_date}, freeze=True)
