import hashlib
import pandas as pd
from core_framework.db_engine import DbEngine
import dateutil.parser

from datetime import datetime, timedelta
import sys


class ShaUpdater(DbEngine):
    def __init__(self):
        DbEngine.__init__(self)

    def main(self):
        pass
        # self.connect(1, connect_args={"application_name": "update blockade stats"})
        #
        # blockade_stats= self.select('blockade_status', filters={'transfer': True}, schema='nbs_pn')
        # self.connect(2)
        # for bs in blockade_stats:
        #     mb = bs.get('registry_number')
        #     pn_stat = bs.get('company_status')
        #     if pn_stat in [201, 202, 203, 204]:
        #         pn_stat = 200
        #     date_created = bs.get('date_created')
        #     insert_payload = {'mb': mb, 'pn_stat': pn_stat, 'date_created': date_created}
        #     insert_status = self.insert('NBS_SKIDANJE_STATUS2', {0: insert_payload})
        #     print(insert_status, insert_payload)


        # dodjela COMPANY_UPDATES tablici sha
        # records = self.select('COMPANY_UPDATES', schema='NBS_WS', filters={'sha': None}, columns=['NATIONAL_IDENTIFICATION_NUMBER', 'TAX_IDENTIFICATION_NUMBER', 'COMPANY_ID'],)
        # if records:
        #     for record in records:
        #         registry_number = record.get('national_identification_number')
        #         vat_number = record.get('tax_identification_number')
        #         cpid = record.get('COMPANY_ID'.lower())
        #
        #         record_new = {'registry_number': registry_number, 'vat_number': vat_number}
        #         sha = hashlib.sha3_256(str(record_new).encode()).hexdigest()
        #         print(record_new, sha)
        #         self.update('COMPANY_UPDATES'.upper(), filters={'COMPANY_ID': cpid}, values={'sha': sha}, schema='NBS_WS', freeze=True)

        # dodjela [COMPANY_ACCOUNTS] tablici sha
        # records = self.select('COMPANY_ACCOUNTS', schema='NBS_WS', filters={'sha': None, 'ACCOUNT_ID': "<=5000000"})
        # records = self.select('COMPANY_ACCOUNTS', schema='NBS_WS', filters={'account_sha': "32149032ce27bc28b6a4f80ed7981fc7fd210ec921233016f0e091380a4b3326"})

        # self.connect(2, archive_date='dat_pro')
        # from datetime import datetime
        # # dnevne_blokade = self.select('nbs_pn_blockade_transfer', filters={'registry_number': '20763728'}, view=True)
        # dnevne_blokade = self.select('nbs_pn_blockade_transfer', view=True)
        # self.connect(1, connect_args={"application_name": "postgresql_conn blockade transfer"})
        #
        # schema = 'nbs_pn'
        # for row in dnevne_blokade:
        #     update_date = row.get('update_date')
        #
        #     update_date = datetime.strptime(dateutil.parser.parse(update_date).strftime('%Y-%m-%d'), '%Y-%m-%d')
        #     row.update({'update_date': update_date})
        #
        #     company_id_data = {'registry_number': row.get('registry_number'), 'vat_number': row.get('vat_number')}
        #     company_id = hashlib.sha3_256(str(company_id_data).encode()).hexdigest()
        #     row.update({'company_id': company_id})
        #
        #     row_sha = hashlib.sha3_256(str(row).encode()).hexdigest()
        #     row.update({'sha': row_sha})
        #     print(row)
        #     check_companyid = self.select('company_blockade',filters={'company_id': company_id}, schema=schema)
        #     if check_companyid:
        #         company_check_sha = check_companyid[0].get('sha')
        #         last_upd_date = check_companyid[0].get('update_date')
        #         last_upd_date = datetime(last_upd_date.year, last_upd_date.month, last_upd_date.day)
        #         if company_check_sha != row_sha:
        #             if update_date > last_upd_date:
        #                 self.update('company_blockade', {'company_id': company_id}, {'update_date': update_date, 'night_check': None, 'sha': row_sha}, schema=schema)
        #                 self.update('company_changes', {'company_id': company_id}, {'update_date': update_date, 'pu_check': None, 'rir_check': None, 'sha': row_sha}, schema=schema)
        #     if check_companyid == [] and check_companyid is not None:
        #         self.insert('company_blockade', {0: row}, schema=schema)
        #         self.insert('company_changes', {0: row}, schema=schema)
        # exit()

        # self.connect(1, connect_args={"application_name": "nbs/enforced_collection/crawler.py postgresql_conn"})
        #
        # date_change = datetime.now()-timedelta(days=1)
        # # bans = self.select('blockade_bans', filters={'archive': f'>={date_change}'}, schema='nbs_pn')
        # bans = self.select('blockade_bans', filters={'archive': True}, schema='nbs_pn')
        #
        # ban_companies = []
        # for ban in bans:
        #     registry_number_ban = ban.get('registry_number')
        #     ban_data = self.select('blockade_bans', filters={'registry_number': registry_number_ban, 'archive': None}, schema='nbs_pn')
        #     replace_ban = {'registry_number': 'mb', 'ban_date': 'dat_zabr', 'archive': 'dat_pro', 'sha': 'sha', 'date_created': 'date_created'}
        #     new_ban = {}
        #     for k, v in ban.items():
        #         col_name = replace_ban.get(k)
        #         if col_name is not None:
        #             new_ban.update({col_name:  v})
        #     if not ban_data:
        #         ban_companies.append(new_ban)

        # self.connect(2, archive_date='dat_pro')
        # print("\n> sync bans")
        # bans_upd = 0
        # for ban in ban_companies:
        #     bans_upd += 1
        #     registry_number_ban = ban.get('registry_number')
        #     merge_status = self.merge('NBS_PN_ZABRANE', {0: ban}, filters={'dat_pro': None, 'mb': registry_number_ban}, on=['sha'])
        #     sys.stdout.write(f"\r + check {bans_upd}/{len(ban_companies)}")
        # sys.stdout.write(f"\r + check {bans_upd}/{len(ban_companies)}")
        # exit()

        # from datetime import datetime
        # self.connect(2)
        # records = self.select('nbs_pn_zabrane_sha', filters={'sha': None}, view=True)
        # if records:
        #     for record in records:
        #         row_id = record.get('id2')
        #         registry_number = record.get('mb')
        #         ban_date = pd.Timestamp(record.get('dat_zabr'))
        #         sha_data = {'ban_date': ban_date, 'registry_number': registry_number}
        #         calc_sha = hashlib.sha3_256(str(sha_data).encode()).hexdigest()
        #         self.update('NBS_PN_ZABRANE'.upper(), filters={'id': row_id}, values={'sha': calc_sha},  freeze=True)
        # exit()

        self.connect(2)
        from datetime import datetime
        # records = self.select('COMPANY_ACCOUNTS', schema='NBS_WS', filters={'account_id': "72115"})
        records = self.select('COMPANY_ACCOUNTS', schema='NBS_WS')
        # records = self.select('company_accounts_short', view=True)

        if records:
            for record in records:
                registry_number = record.get('national_identification_number')
                vat_number = record.get('tax_identification_number')
                bank_account = record.get('account')

                cpid = record.get('ACCOUNT_ID'.lower())

                record_new = {'registry_number': registry_number, 'vat_number': vat_number, 'bank_account': bank_account}
                account_sha = hashlib.sha3_256(str(record_new).encode()).hexdigest()

                status_id = record.get('company_account_status_id')
                blockade_id = record.get('company_account_blockade_status_id')
                type_id = record.get('company_account_type_id')
                company_type_id = record.get('legal_user_type_id')
                record_new = {'status_id': str(status_id), 'blockade_id': str(blockade_id), 'type_id': str(type_id), 'company_type_id': str(company_type_id)}

                sha = hashlib.sha3_256(str(record_new).encode()).hexdigest()

                # registry_number, vat_number,bank_account, status_id, blockade_id, type_id, company_type_id, initialization_date, change_date, update_date
                print(cpid, sha, account_sha, record_new)
                # self.disconnect()
                self.update('COMPANY_ACCOUNTS'.upper(), filters={'ACCOUNT_ID': cpid}, values={'account_sha': account_sha, 'sha': sha}, schema='NBS_WS', freeze=True)


if __name__ == '__main__':
    api = ShaUpdater()
    api.main()