from core_framework.db_engine import DbEngine
import hashlib


class ShaUpdater(DbEngine):
    def __init__(self):
        DbEngine.__init__(self)

    def main(self):
        pass
        # self.connect(1, connect_args={"application_name": "nbs/enforced_collection/crawler.py postgresql_conn"})
        # schema = 'nbs_pn'
        # columns = ['registry_number', 'blockade_from', 'blockade_to', 'blockade_amount', 'sha']
        # blockade_latest = self.select('blockade_latest', filters={'transfer': None, 'registry_number': '00912999'}, columns=columns, schema=schema)
        # for row in blockade_latest:
        #     sha = row.get('sha')
        #     row_copy = row.copy()
        #     row_copy.pop('sha')
        #     transfer_sha = hashlib.sha3_256(str(row_copy).encode()).hexdigest()
        #     print(row_copy, transfer_sha)
        # self.disconnect()


        # self.connect(2)
        # from datetime import datetime
        # # records = self.select('company_accounts_short', filters={'BANKCODE':'370', 'CONTOROL_NUMBER':'03', 'ACCOUNT_NUMBER':'18279'} ,view=True)
        # records = self.select('company_accounts_short', view=True)
        # if records:
        #     for record in records:
        #         # print(record)
        #
        #         registry_number = record.get('national_identification_number')
        #         vat_number = record.get('tax_identification_number')
        #         bank_account = record.get('account')
        #
        #         bankcode= record.get('bankcode')
        #         account_number = record.get('account_number')
        #         control_number = record.get('contorol_number')
        #
        #         # make bank account
        #         bank_account = f"{bankcode}-{str(account_number).zfill(13)}-{str(control_number).zfill(2)}"
        #
        #         cpid = record.get('ACCOUNT_ID'.lower())
        #
        #         record_new = {'registry_number': registry_number, 'vat_number': vat_number, 'bank_account': bank_account}
        #
        #
        #         account_sha = hashlib.sha3_256(str(record_new).encode()).hexdigest()
        #
        #         status_id = record.get('company_account_status_id')
        #         blockade_id = record.get('company_account_blockade_status_id')
        #         type_id = record.get('company_account_type_id')
        #         company_type_id = record.get('legal_user_type_id')
        #         record_new = {'status_id': str(status_id), 'blockade_id': str(blockade_id), 'type_id': str(type_id), 'company_type_id': str(company_type_id)}
        #
        #         sha = hashlib.sha3_256(str(record_new).encode()).hexdigest()
        #
        #         # registry_number, vat_number,bank_account, status_id, blockade_id, type_id, company_type_id, initialization_date, change_date, update_date
        #         print(cpid, sha, account_sha, record_new)
        #         # self.disconnect()
        #         self.update('COMPANY_ACCOUNTS'.upper(), filters={'ACCOUNT_ID': cpid}, values={'account_sha': account_sha, 'sha': sha}, schema='NBS_WS', freeze=True)


        self.connect(2)

        # dodjela [COMPANY_ACCOUNT_UPDATES] tablici sha
        # records = self.select('COMPANY_ACCOUNT_UPDATES', schema='NBS_WS', filters={'sha': None, 'account': '105-0000000012413-38', 'archive_date': None})
        # records = self.select('COMPANY_ACCOUNT_UPDATES', schema='NBS_WS', filters={'sha': None, 'id': "<=5000000"})
        records = self.select('company_account_upd_short', view=True)
        if records:
            for record in records:
                # print(record)
                registry_number = record.get('national_identification_number')
                vat_number = record.get('tax_identification_number')
                bank_account = record.get('account')
                bankcode= record.get('bankcode')
                account_number = record.get('account_number')
                control_number = record.get('contorol_number')

                # make bank account
                bank_account = f"{bankcode}-{str(account_number).zfill(13)}-{str(control_number).zfill(2)}"
                cpid = record.get('id_temp'.lower())

                record_new = {'registry_number': registry_number, 'vat_number': vat_number, 'bank_account': bank_account}
                account_sha = hashlib.sha3_256(str(record_new).encode()).hexdigest()

                status_id = record.get('company_account_status_id')
                blockade_id = record.get('company_account_blockade_status_id')
                type_id = record.get('company_account_type_id')
                company_type_id = record.get('legal_user_type_id')
                record_new = {'status_id': str(status_id), 'blockade_id': str(blockade_id), 'type_id': str(type_id), 'company_type_id': str(company_type_id)}

                sha = hashlib.sha3_256(str(record_new).encode()).hexdigest()

                # registry_number, vat_number,bank_account, status_id, blockade_id, type_id, company_type_id, initialization_date, change_date, update_date
                print(cpid, sha, account_sha, record_new)
                # self.disconnect()
                self.update('COMPANY_ACCOUNT_UPDATES'.upper(), filters={'id': cpid}, values={'account_sha': account_sha, 'sha': sha}, schema='NBS_WS', freeze=True)
        self.disconnect()

if __name__ == '__main__':
    api = ShaUpdater()
    api.main()